.webscreens {
    position: relative;
}

.webscreenshotholder {
    position: relative;
    padding: 14px;
    transition: all ease 1s;

}

.webscreenshot {
    background: red;
    color: white;
}


.webscreenshotholder:hover .webscreenshot {
    opacity: .86;
    transform: translateX(calc(var(--padding) * -2));
}

.webscreenshotholder.active .webscreenshot {
    opacity: 1;
    transform: translateX(calc(var(--padding) * -1));
}

/*
                                .webscreenshotholder .webscreendesc {
                                    position: absolute;
                                    left: 0;
                                    bottom: 0;
                                    margin: 0 0 -7px -14px;
                                }
*/
.webscreenshotholder .webscreendesc h2 {
    text-shadow: 0 0 30px rgba(0, 0, 0, .6);
    transition: all ease 1s;
    filter: var(--blur);
    text-align: right;
}

.webscreenshotholder:hover h2 {
    transform: translateX(calc(var(--padding) * -1));
    filter: blur(0px)
}

.webscreenshotholder.active .webscreendesc h4 {
    color: var(--maincolor);
    filter: blur(0px)
}

.largescreen {
    position: absolute;
    left: calc(50% - 21.5svw);
    z-index: 10;
    background-color: var(--bgcolor-43);
    aspect-ratio: 16/9;
    margin: auto;
    border: calc(var(--padding) / 2) solid var(--bgcolor);
    box-shadow: var(--mainshadow);
    top: 50svh;
    height: 66svH;
}

.largescreen .btnholder {
    position: absolute;
    left: 4%;
    bottom: -25%;
    transform: translateY(33%)
}


@media (orientation: portrait) {
    .webscreens {
        padding-bottom: 33svh
    }

    .largescreen {
        width: 100svw;
        height: auto;
        top: 50svh;
        margin-left: 33%;
    }

    .webscreens {
        min-height: 150svw
    }

    @media (min-width: 768px) {
        .largescreen {
            top: 25svH
        }

        .largescreen .btnholder {
            bottom: -10%;
        }
    }
}

@media (orientation: landscape) {
    @media (min-width: 768px) {
        .largescreen {
            margin-left: 50%;
            top: 50svH;
        }

        .webscreens {
            min-height: 100svh
        }

        .largescreen .btnholder {
            position: absolute;
            left: 4%;
            bottom: 0px;
            transform: translateY(33%)
        }
    }
}


.webscreens {
    min-height: 75svh;
    transform: translate3d(0, 0, 0);
}

@media (min-width: 1200px) {
    .largescreen {
        margin-left: 50%;
    }
}

@media (min-width: 1600px) {
    .largescreen {
        height: 66svH;
        margin-left: 50%;
    }

    .webscreens {
        min-height: 132svh
    }
}

.webnameholder {
    position: absolute;
    background-color: var(--bgcolor-86);
    color: var(--textcolor);
    position: absolute;
    left: 7px;
    top: 7px;
    right: 7px;
    padding: 7px 14px;
    font-size: 14px;
}

.largescreeninner {
    position: absolute !important;
    inset: 0 !important;
    overflow: hidden;
}

.largescreeninner .slick-track,
.largescreeninner .slick-slide,
.largescreeninner .slick-slide > div,
.largescreeninner .slick-list {
    height: 100% !important;

}

.largescreeninner .slick-slide {
    background-color: var(--gridcolor)
}

.largescreeninner .slick-list {
    padding: 0 !important
}

.largescreenshot {
    height: 100%;
    width: 100%;
    background-size: cover;
    background-position: top center;
}

.slick-prev {
    position: absolute;
    left: 0;
    top: 50%;
    z-index: 10;
}

.slick-next {
    position: absolute;
    right: 0;
    top: 50%;
    z-index: 10;

}

.thescreen {
    background-position: top center;
    background-size: 100% auto;
    background-repeat: repeat;
    width: 100% !important;
    margin-bottom: var(--padding);
    border: 1px solid var(--gridcolor-43)
}

.thescreen:last-child {
    margin-bottom: 0 !important
}

.thescreen img {
    width: 100%;
    height: auto !important
}

/*

@media (max-width: 767px) {
    .webscreenmenuitem {
        font-size: 8px;
    }
}

.webscreenmenuitem:after {
    content: '';
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    width: 100%;
    background-color: var(--bgcolor-14);
    transition: all ease .3s;
    z-index: -1;
    backdrop-filter: ;
}


.webscreenmenuitem:hover:after {
    width: 100%;
    background-color: var(--bgcolor-43);
}

.webscreenmenuitem.active {
    color: var(--bgcolor);
}

.webscreenmenuitem.active:after {
    width: 100%;
}*/

.webscreenmenuitem {
    display: flex;
    align-items: center;
    flex-grow: 1;
    justify-content: center;
    position: relative;
    line-height: 60px;
    height: 60px;
    text-decoration: none;
    font-family: 'pragmatica-extended';
    font-weight: 700;
    font-size: 80%;
    aspect-ratio: unset !important;
    width: max-content;
    min-width: 100%;
    color: var(--textcolor)
}

@media (orientation: portrait) {
    @media (max-width: 767px) {
        .wbh1 {
            display: none !important
        }
    }
}


#web-entwicklung .webbuttonsholder,
#web .webbuttonsholder {
    position: absolute;
    left: var(--padding);
    top: 0;
    flex-direction: column;
    border-right: 1px solid var(--gridcolor);
    height: auto;
    max-height: unset;
    border-top: 0;
    max-height: 86svH;
    scrollbar-width: none;
    width: max-content;

}

#web-entwicklung .webbuttonsholder.wbh3 .controlbtn,
#web .webbuttonsholder.wbh1 .controlbtn {
    display: block;
    text-align: right;
    padding: 0 calc(var(--padding) / 2);
    max-height: 60px !important;
}

@media (min-width: 768px) {

    #web .webbuttonsholder.wbh2 {
        width: calc(var(--padding) * 1.43);
        z-index: 100;
        position: absolute;
        left: var(--padding);
        flex-direction: column;
        border-right: 1px solid var(--gridcolor);
        height: auto;
        max-height: unset;
        border-top: 0;
    }

    #web .webbuttonsholder.wbh2 .controlbtn.switch {
        text-align: right;
        aspect-ratio: 1;
        text-align: center;
    }
}


.webbuttonsinner {
    flex-grow: 1
}


/** WEB **/
#livepreview {
    position: relative;

}

@media (orientation: landscape) {
    #livepreview {
        --devices_h: 50svH;
        --devices_w: auto;
        height: 100svH;
        width: 100svH;
    }
}

@media (orientation: portrait) {
    #livepreview {
        --devices_h: auto;
        --devices_w: 80svW;
        height: 150svW;
        width: 100svW;

    }
}

.devicesouter {
    display: flex;
    justify-content: center;
    align-items: center;
    align-content: center;
    align-self: center;
}

.devicesouter.initial .deviceholder {
    cursor: pointer;
}

.devicesholder {
    display: flex;
    position: relative;
    height: 100%;
}

.devicesholder .webbuttonsholder {
    width: 60px;
    margin-right: var(--padding);
    /*position: sticky;
    top: calc(var(--padding) * 3)*/
}

.webbuttonsholder .webbuttonsinner {
    border-right: 1px solid var(--gridcolor);
}

.deviceholder {
    margin: 0;
    transition: all ease .3s;
    position: relative;
}

.deviceholder iframe {
    transform-origin: 0 0;
    margin: auto;
    transform: translate3d(0, 0, 0);
    background-position: center center;
    background-size: cover;
}

.deviceholder.laptop {
    aspect-ratio: 16/9;
}

.deviceholder.tablet {
    aspect-ratio: 4/3;
}

.deviceholder.phone {
    aspect-ratio: 9/16;
}

.deviceholder iframe {
    position: absolute;
    top:0;
    left:0;
}


.devicebla {
    transition: .13s
}

.devicescreen {
    border: 3px solid var(--gridcolor);
    inset: 0;
    position: absolute;
    overflow: hidden;
    transform: translate3d(0, 0, 0);
    background-color: var(--gridcolor-43);
    background-size: cover;
    background-position: center center;
}

.dev-draw-container .topbar,
.deviceholder .topbar {
    position: absolute;
    left: 0;
    right: 0;
    bottom: 100%;
    background: var(--gridcolor);
    height: 20px;
    overflow: hidden;
    transition: height ease .3s;
}

.deviceholder.tablet .topbar,
.deviceholder.phone .topbar {
    height: 0px;
}

.devicesouter .startwebpres {
    position: absolute;
    background-color: var(--bgcolor-43);
    backdrop-filter: calc(var(--blurvalue) * 2);
    align-items: center;
    justify-content: center;
    transform: translateY(-100%);
    transition: all ease .3s;
    inset: 0;
    display: flex;
}

.devicesouter .btnholder {
    position: absolute;
    left: 86%;
    top: 43%;
    display: none;
    transform: translateX(-50%);
}

.devicesouter.initial .btnholder {
    display: block;
}

.dev-draw-container .topbar:before,
.deviceholder .topbar:before {
    content: '';
    position: absolute;
    right: 10px;
    top: 5px;
    height: 10px;
    width: 10px;
    background-color: var(--bgcolor);
}

.dev-draw-container .topbar:after,
.deviceholder .topbar:after {
    content: '';
    position: absolute;
    right: 30px;
    top: 5px;
    height: 10px;
    width: 10px;
    background-color: var(--bgcolor);
}

.deviceholder.trans .devicescreen iframe {
    filter: blur(030px);
    transform: scale(1) !important;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    aspect-ratio: unset;
    width: calc(100% - 0px) !Important;
    height: 100% !important
}

.switch {
    display: flex;
    align-items: center;
    aspect-ratio: 1;
    width: 100%;
    text-align: right;
    justify-content: center;
    position: relative;
}

.switch:hover:after {
    width: 100%;
    background-color: var(--gridcolor-43);
}

.switch.active:after {
    width: 100%
}

.fakedevicesholder {
    position: absolute;
    left: 0;
    top: 0;
    opacity: 0;
    pointer-events: none;
    width: 100%;
}

.fakedevices {
    position: absolute;
}

@media (orientation: landscape) {
    .devicesouter,
    .fakedevices {
        height: var(--devices_h);
    }

    .fakedevice,
    .deviceholder {
        height: 100%
    }
}


@media (orientation: portrait) {
    .devicesouter,
    .fakedevices {
        width: var(--devices_w);
        max-width: calc(100% - 65px);
    }

    .fakedevice,
    .deviceholder {
        width: 100%
    }
}


.fakedevice {
    border: 2px solid #fff;
    margin: 0 auto;
    position: absolute;
    left: 0;
    top: 0;
}

.deviceholder iframe,
.deviceholder.laptop iframe {
    aspect-ratio: 16/9
}

.deviceholder.tablet iframe {
    aspect-ratio: 4/3
}
.deviceholder.phone iframe {
    aspect-ratio: 9/16
}

@media (orientation: portrait) {
    .fakeweb {
        aspect-ratio: 16/9;
    }

    .faketab {
        width: 86%;
        aspect-ratio: 4/3;
    }

    .fakephone {
        width: 43%;
        aspect-ratio: 9/16;
    }
}

@media (orientation: landscape) {
    .fakeweb {
        aspect-ratio: 16/9;
        height: 100%;

    }

    .faketab {
        height: 100%;
        aspect-ratio: 4/3;
    }

    .fakephone {
        height: 100%;
        aspect-ratio: 9/16;
    }
}


@media (max-width: 767px) {
    .largescreen {
        height: auto;
        width: 80svW;
    }

    @media (orientation: portrait) {
        .webscreens {
            padding-bottom: 60px;
        }
    }
    @media (orientation: portrait) {
        #livepreview {
            --devices_h: auto;
            --devices_w: 80svW;
            height: auto;
            width: 100svW;
            /*padding-bottom: 180px;*/
        }
    }
}


.slick-slider:not(.slick-initialized),
.slick-slider:not(.slick-initialized) .slick-slide,
.slick-slider:not(.slick-initialized) .slick-slide .simple-slide-container:after {
    display: none !important;
}